5ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

【日本語不自由】Eclipse Pleiades プラグイン

1 :デフォルトの名無しさん:2009/04/05(日) 15:08:27
Eclipse 日本語化プラグイン「Pleiades」に関する質問と非難と擁護のスレ

Pleiades (Eclipseプラグイン日本語化プラグイン)
- http://mergedoc.sourceforge.jp/index.html

Eclipse (統合開発環境)
- http://www.eclipse.org/

2 :デフォルトの名無しさん:2009/04/05(日) 16:14:05
よくある質問と回答

・Pleiades All in Oneでどれを選んだらよいのか分かりません
 →初心者のうちは、UltimateのFull All in Oneを選ぶことを推奨します。
  必要なプラグインが見つからない、等という無用なトラブルを回避できます。
 →自分に必要な機能が分かってきたら、All in Oneは選ばず、公式サイトから
  Eclipse IDE for Java Developersをダウンロード・インストールした上で、
  自分に必要なプラグインを更新マネージャでインストールした上で、
  Pleiades本体のみをインストールすることを推奨します。
  All in One形式ならではの問題を回避できます。

・新しいパッケージをインストールしたら、翻訳状況以外に、動きもおかしいです。
 →eclipse -clean(Windowsだとeclipse.exe -clean.cmdを実行)として構成を
  初期化すると、問題が解消される場合があります。

・重いです。
 →改善されつつありますが、AOPの手法をとっている以上、仕方がありません。
  処理は別スレッドにて行われるので、デュアルコアCPUであれば問題ありません。

・メモリが足りなくなる。
 →翻訳コンテナは、翻訳用の辞書をメモリにロードする仕様になっています。
  -Xms512m -Xmx512m、等のオプションを付与しましょう。
  使用頻度が少ない辞書は、そのうちロードされなくなりますが、
  All in One形式の場合、ファイル->新規->その他等で、プラグインで
  実装されているアイテムへのアクセスが発生した場合、辞書が再ロード
  されますので、注意してください。

3 :デフォルトの名無しさん:2009/04/05(日) 16:19:44
隔離スレ立ったんならそっちでやれ。いつまでも居座ろうとすんな。

4 :デフォルトの名無しさん:2009/04/05(日) 16:36:19
・〜の単語はおかしくないですか?
 →MergeDoc関係者は、全てのプラグインの翻訳内容の表示結果を確認できている
  わけではありません。
  修正点をまとめ、メーリングリスト報告しましょう。
  プロジェクトは常に人材を募集しています。

・〜のプラグインを日本語化してほしい。
 →追加辞書を作成し、投稿しましょう。
  マージされると、誰かが喜ぶかもしれません。

・〜が翻訳されていません。
 →そもそも辞書に入っていない可能性があります。
  辞書に追加する事項を、メーリングリストに報告しましょう。
  そうでなければ、-cleanを付けて起動して、Pleiadesを再構成しましょう。

・プラグインの動作がおかしくなります。
 →PleiadesはAOPにて文字列を変換したものをEclipseに表示させているので、
  プラグインの動作そのものには影響を与えない、はず、です。
  ただし、一部のプラグイン(NetBeans等を使って作ったもの?)は、文字化け等が
  発生する場合があります。
  なおプラグインが、All in Oneで入れられていたものか、更新マネージャで
  インストールしたか、pluginディレクトリに手動で追加したかで、Pleiadesでの
  挙動が変わる場合があります。
  質問をする場合は、どの方法でインストールしたプラグインかを、明確に
  しましょう。

5 :デフォルトの名無しさん:2009/04/05(日) 17:05:12
言語パックの方がよかった

6 :デフォルトの名無しさん:2009/04/05(日) 17:09:52
俺もそう思う。

7 :デフォルトの名無しさん:2009/04/05(日) 17:12:49
Pleiadesプラグインって、かなり大量のプラグインの辞書が入ってますよね

一部だけ日本語化したい/日本語化を解除したいっていうことは、できますか?

8 :デフォルトの名無しさん:2009/04/06(月) 01:04:35
このスレッドは天才チンパンジー「アイちゃん」が
言語訓練のために立てたものです。

アイと研究員とのやり取りに利用するスレッドなので、
関係者以外は書きこまないで下さい。

                  京都大学霊長類研究所

9 :デフォルトの名無しさん:2009/04/06(月) 01:32:25
>>7
できない

10 :デフォルトの名無しさん:2009/04/06(月) 02:29:04
いちいちプラグイン毎に日本語化してるわけじゃなくて
どのプラグインでもこの文言があったらこの日本語に差し替え
って感じの変換方法じゃなかったっけ

11 :デフォルトの名無しさん:2009/04/06(月) 09:20:08
>>5,6
blanco 使えよ


12 :デフォルトの名無しさん:2009/04/07(火) 23:46:04
なんつーか、日本語化のON・OFFをプラグイン毎に簡単に切り替えられるようにしてほしいものだ

13 :デフォルトの名無しさん:2009/04/08(水) 00:07:23
>>11
Blanco 入れてみた。軽いし問題出ないし、主要な項目の日本語化だけならこれで十分だわ。
http://www.igapyon.jp/blanco/nlpack/eclipse/index.html

14 :デフォルトの名無しさん:2009/04/08(水) 00:12:23
>>13
むしろこれが王道

15 :デフォルトの名無しさん:2009/04/08(水) 01:08:45
Blancoば毎年毎年、年金から800億円ぶんどってるNTTデータが一枚噛んでるから
それ相応のクオリティなわけよ。使わにゃ損、損。

16 :デフォルトの名無しさん:2009/04/08(水) 02:02:59
ってかよくも誤報ばっかりで色々判断できるもんだなお前らは

17 :デフォルトの名無しさん:2009/04/08(水) 02:08:52
「俺が大本営」

関係者様ですか?

18 :デフォルトの名無しさん:2009/04/08(水) 02:40:54
まぁBlancoの中身もPleiadesの翻訳使われてるんだけどな

19 :デフォルトの名無しさん:2009/04/08(水) 16:08:18
>>2 >>4
このテンプレだけはよくまとまっているな。
スレタイは糞だが。

20 :デフォルトの名無しさん:2009/04/11(土) 00:11:42
保守

21 :デフォルトの名無しさん:2009/04/14(火) 20:51:29
Swingのスレタイも低速GUIで定着してんだから別に良いんじゃねぇの。
中の人は気にくわないだろうけど。

22 :デフォルトの名無しさん:2009/04/16(木) 21:13:51
またそういうことを

23 :デフォルトの名無しさん:2009/04/20(月) 01:47:33
Pleiadesうぜー

日本語化プラグイン形式にバラしてくれ頼む

24 :デフォルトの名無しさん:2009/04/20(月) 01:52:34
だから日本語化だけならまず Blanco 入れれ。

25 :デフォルトの名無しさん:2009/04/20(月) 20:37:33
つーかPleiadesって、実際のとこ、Blancoに置き換えられるべきだよなぁ

26 :デフォルトの名無しさん:2009/04/20(月) 21:39:21
Blancoというか通常のNLS方式だとプラグイン全ての対訳を全項目分作らないといけない
要するにしらみつぶしに片っ端から対訳作っていっても未知のプラグインには対応できない
Pleiadesの方式だと未知のプラグインでも全て翻訳できる

27 :デフォルトの名無しさん:2009/04/21(火) 01:05:05
「未知のプラグインでも全て翻訳!」
エンジニアのオナニー臭い文句だな。日本語化未対応のプラグインまで
日本語化してもらわなきゃ使えない哀れな奴はリスクと不利益取って
Pleiades 使えってさ。そんな実験プロジェクトみたいなものが NLS 方式より
前に出るなと。

28 :デフォルトの名無しさん:2009/04/21(火) 02:33:11
>>25
Blancoは、日本語化されたプラグインのバージョンが上がったとき、
それにも自動的に対応してくれるの?

以前、日本語化プラグインを適用後に、プラグインをアップデートしたら
依存関係が狂っておかしくなった記憶がある。

29 :デフォルトの名無しさん:2009/04/21(火) 03:01:17
プラグインのバージョン上げて英語になった途端にお手上げになるような
社保庁職員並みのバカがいるのかまず考えた方が良いと思う。そのプラグインの
設定と使い方が分かっていればある日英語になっても支障はない。
大体 Pleiades は翻訳以前の話じゃん。

1. 国際化が考慮された設計のプラグインだけを日本語化する (Blanco)
2. 設計時には考慮していないだろう手法で全てを日本語化する (Pleiades)

大半の人間は 1 で良いはず。「JDBC ドライバを Reflection で private 破りして
パフォーマンスを上げるツール! 未知の DB でも OK!」なんて製品があっても、
せいぜいテストか検証事で使うだけだろ。「ウチではうまく動いています」なんて
何の意味もないし。

30 :デフォルトの名無しさん:2009/04/21(火) 05:26:40
【レス抽出】
対象スレ:【日本語不自由】Eclipse Pleiades プラグイン
キーワード:お手上げ


29 名前:デフォルトの名無しさん[sage] 投稿日:2009/04/21(火) 03:01:17
 プラグインのバージョン上げて英語になった途端にお手上げになるような
 社保庁職員並みのバカがいるのかまず考えた方が良いと思う。そのプラグインの
 設定と使い方が分かっていればある日英語になっても支障はない。
 大体 Pleiades は翻訳以前の話じゃん。

お手上げと言ってるのは >>29 だけだ。

31 :デフォルトの名無しさん:2009/04/21(火) 05:36:28
何この必死に小爪拾ってる奴 (笑)

そうだな、誰もお手上げだなんて言っていないな。つまり、>>30 もバージョン上げて
英語に戻るくらいで困る奴なんて居ないのに同意って意味ですね。

32 :デフォルトの名無しさん:2009/04/21(火) 05:52:54
apatanaでrakeウインドウのrake testが「テスト」になってて吹いたwww
rake 「テスト」かよ!って

33 :デフォルトの名無しさん:2009/04/21(火) 06:05:51
全てを大阪弁に変えるプラグインならあるいは…

34 :デフォルトの名無しさん:2009/04/21(火) 11:34:34
以前何かのプラグインのダイアログから OK ボタンが消えたことがあった。でも英語の時の
配置をよく考えると CANCEL ボタンが日本語化されて異様に横に伸びて OK ボタンに
重なっちゃったようだった。ひとときの笑いをありがとう。速攻消したけど。

35 :デフォルトの名無しさん:2009/04/21(火) 12:42:03
>>29
英語になるのはかまわないんだよ。
急に動作がおかしくなることが以前あったからトラウマになってんだよ

36 :デフォルトの名無しさん:2009/04/21(火) 12:43:31
>>32
もっと凄いのが合った気がする。
なんでもかんでもとにかく日本語化するのはちとまずいよ

37 :デフォルトの名無しさん:2009/04/28(火) 05:33:45
保守

38 :デフォルトの名無しさん:2009/05/07(木) 14:21:31
頼むから辞書全部入りにするのをやめてほしい

39 :デフォルトの名無しさん:2009/05/10(日) 16:03:51
またそういうことを

40 :デフォルトの名無しさん:2009/05/19(火) 02:18:21
二週間前から放置してた33Pleiadesが起動しなくなってた。
例のXmx設定で解決したが、最近jreって変わったんか?

41 :デフォルトの名無しさん:2009/05/19(火) 02:25:44
タイマーまで仕掛けてあるのか

42 :デフォルトの名無しさん:2009/05/19(火) 13:57:57
jreが悪いと思うのだが・・・。やはり神の名を語る会社に吸収されて
改悪の方向に向かうようだな。Eclipseオワタ。

43 :デフォルトの名無しさん:2009/05/24(日) 13:16:20
有償サポート版JDK・JREは謎パッチが当てられていくだろうから、いつしかEclipseが
起動しなくなるような変更が入るかもな。
JNI周りとか、将来的に残す気があるのか無いのか分からんしね。

ただOracleは、EclipseはJavaの利用促進にむけて、ある程度重要な道具とは思って
いるだろうから、まぁその辺は考慮はするだろ。
よって、すぐにもNetBeansやJDeveloperへ乗り換えるって必要はあるまい。

ただ、Eclipseに乗っかってるPleiadesなんかのプラグインの動作についちゃ、
考慮の対象外だろうな。

44 :デフォルトの名無しさん:2009/05/24(日) 13:58:51
Eclipseってひとくくりには出来ないぜ。日立なんかは自前のプラグイン
のっけっては有償で売ってたりするしな。

つーか、DBの質は別として、あの使いにくいツール群しか出さない
oracleを信用してるヤツはよっぽど温室で育ったとしか思えないな。

45 :デフォルトの名無しさん:2009/05/24(日) 14:28:55
肝心なDBの質もそんなによくない件

つーか神託純正ツールなんて使う奴いたのか?

46 :デフォルトの名無しさん:2009/05/24(日) 14:48:34
まー某御用達ツールを使うだろうけどな。

47 :デフォルトの名無しさん:2009/05/24(日) 15:19:30
Windows VISTA x64にPleiades All in One 3.4をインストールして起動しようとしたらエラーで起動出来ませんでした。
エラーメッセージを見てみると「os-32」、「win-32」などあるので、
JDKの64bit版では動作しないものだと思いましたが、
JDKの32bit版もインストールしてパスを通したら起動するようにはなりました。

Windows VISTA x64でPleiades All in Oneを使用していて、
上記のように無理矢理(かな?)動作させた場合に不具合や不都合な点はありますでしょうか?
ググったところ3.3などでは設定画面などで表示がおかしかったりとかはあったみたいですが・・・

これがきちんと動くかどうかで、
Windows VISTAの32bitか64bitのどちらで開発環境を構築しようか決めてしまおうと思ってるので、
どなたかご存知でしたら教えてください。

48 :デフォルトの名無しさん:2009/05/24(日) 16:21:31
>有償サポート版JDK・JREは謎パッチが当てられていくだろうから、いつしかEclipseが
>起動しなくなるような変更が入るかもな。

なんだこの被害妄想左翼脳は
大企業は悪って前提だからそんなトンデモ思想になるんだぞ

49 :デフォルトの名無しさん:2009/05/24(日) 16:39:52
>>48
J2SE 5.0のEOL後のJ2SE 5.0がどうなるかというと
・Oracleがfor Businessの契約者のみにパッケージを提供する。
・提供されるパッケージは定期的にアップデートされ、EOL時点のもの(今のままならUpdate 19)とは別物になる。
・アップデートはバグフィックス、セキュリティ関連以外に、Java6からの一部機能のバックポートも含む。

ということで、謎パッチはあながちハズレではない。

つってもEclipseが対象とするJ2SE 5.0は今のUpdate 19までだろうから、for Business版の差異なんて関係ないだろうな。
for Business版上で開発したりテストしたって、一般の利用者向けにとっては意味ないでしょ?

50 :デフォルトの名無しさん:2009/05/24(日) 17:15:41
俺は>>43じゃないが、大企業が悪って発想はなくても
いままでSun以外の特定企業の所有物でなかったJavaが
あまり対価に対する品質が褒められたものではない企業に
握られてしまったことで、今後について危機感を持つのは
普通の感覚だと思うのだが・・・。

51 :デフォルトの名無しさん:2009/05/24(日) 17:22:05
ThinkPadがIBMからレノボになったときに同じ批判してたバカがいたな
企業合併や事業譲渡ってのは、今までの技術者が全員クビになって
プロダクトの権利だけ移動して違う技術者が開発する訳じゃなくて、
昔の開発体制がそのまま移動するだけなのに、何か大きく変わると
勘違いする奴が必ず出てくる。

52 :デフォルトの名無しさん:2009/05/24(日) 17:37:14
なにがビビったって















こんなに人が居たことに

53 :デフォルトの名無しさん:2009/05/24(日) 17:46:01
>>51
勘違いしてるのはお前だって。
シッタカもいい加減にしておいたほうがいいぞ。

54 :デフォルトの名無しさん:2009/05/24(日) 18:49:43
中傷じゃなく具体的にどうぞ

55 :デフォルトの名無しさん:2009/05/28(木) 13:14:56
だよな。
Lenovoになってからの劣化も酷いが、Lenovoになる前から劣化は始まってたしな。



ってことだろ。

56 :デフォルトの名無しさん:2009/06/03(水) 22:41:44
このスレがEclipseスレから分離されたときは一週間でおちると思っていたが、
どうも順調に成長しているみたいだな、よかった。

57 :デフォルトの名無しさん:2009/06/27(土) 10:18:06
Galileo Pleiades All in Oneはいつくらいにリリース?

58 :デフォルトの名無しさん:2009/06/27(土) 22:18:19
別にプレアディスのアンチじゃないが、
プラグイン作るなら、日本語環境依存はなおしたほうがいいよ。

現存のどの機能を、どのプラグインが提供してるかを察するのに、
非常に邪魔になる。

59 :デフォルトの名無しさん:2009/06/30(火) 21:03:57
> プラグイン作るなら
Eclipse利用者の0.1%ぐらいだろな。たぶん。

60 :デフォルトの名無しさん:2009/07/05(日) 03:02:00
プラグイン開発って
実際やってみると面倒なんだよな

以前、Eclipseスレでエンジニアなら
プラグインくらい簡単に作れるだろと
言われてやってみたら全然わかんなかったよ

覚えることが多すぎるのかな

61 :名無し募集中。。。:2009/07/05(日) 03:16:23
難易度はプラグインの種類にもよると思うけど
APIは公開されてるわけだから
プログラマなら仕様書読んで組めてほしいとは思う

62 :デフォルトの名無しさん:2009/07/22(水) 15:13:25
Eclipse with Pleiades の Ultimate を使ってて,
あれこれ最初から入っていてこりゃ便利だと思っているのですが,
他のプラグインも含めたパッケージを作っておきたいと考えています.
それでとりあえず自分がよく使う他のプラグインをインストルしてみて,
Eclipseをインストールしたディレクトリにどんな変化が起きるのか
眺めてみたら,equinox 関連のディレクトリに自分のホームディレクトリ
を含むパスを含んだファイルが多数生成されていることに気づきました.

特定のユーザに依存しない(anonymousな)形で再パッケージ
(といってもZIPにするだけ)したいのですが,これらのファイルを
どのように変更するべきなのでしょうか?もしくは削除すべきでしょうか.

63 :デフォルトの名無しさん:2009/07/22(水) 19:52:05
Pleiades をゴミ箱へ捨てる

64 :デフォルトの名無しさん:2009/08/04(火) 04:51:02
Pleiades All in One 3.5.0.20090629を
ダウンロードして
winrarで解凍してC:\の直下に置き
setup-xampp.bat をクリックしたけど


Configure for server 1.7.1
Configure XAMPP with awk for 'Windows_NT'
Please wait ...
Enable AcceptEx Winsocks v2 support for NT systems DO


##### Have fun with ApacheFriends XAMPP! #####


指定されたファイルが見つかりません。
続行するには何かキーを押してください . . .

とでて終わるのだが・・・
IE6でダウンロードしたらだめとかある?
Xpsp2です

手順はあってるよね?

65 :デフォルトの名無しさん:2009/08/04(火) 07:12:36
Pleiades はゴミ箱へ捨てなさいって言ってるでしょ!

66 :デフォルトの名無しさん:2009/08/04(火) 13:14:45
ここだと同じ答えなので他で聞いてきます。

67 :デフォルトの名無しさん:2009/09/17(木) 11:44:49
Ultimateというからには
Bazaar とかのプラグインも入れて
盛りだくさんであってほしい
ついでにPyDevとPython処理系も

68 :デフォルトの名無しさん:2009/09/17(木) 16:48:59
一時的に日本語化をやめるにはどうすればいいでしょうか?
英語で書かれた解説サイトを見るときなど
できれば元はどう書かれていたのかを知りたいのですが

69 :デフォルトの名無しさん:2009/09/17(木) 17:32:47
Pleiadesを窓から投げ捨てる

70 :デフォルトの名無しさん:2009/09/20(日) 15:14:41
別のディレクトリにもう1個コピーを置いて、それを起動すればいいじゃん。

71 :デフォルトの名無しさん:2010/02/05(金) 00:40:41
interface を extends しちゃったときの

>'次を拡張' を '実装' に変更します

は、薬師杉じゃね?

'extends' を 'implements' に変更します

という意味だと理解するのにちょっとかかったよ。

72 :デフォルトの名無しさん:2010/02/05(金) 00:44:15
>>71
MergeDocの連中に言え

連中も動きが悪いが、何度も何度もしつこくせっつけば本気を出す

73 :デフォルトの名無しさん:2010/05/23(日) 20:38:41
Pleiades.zipダウンロードすると
途中で止まっちゃう。
なんで?

74 :デフォルトの名無しさん:2010/05/23(日) 21:04:19
Pleiadesなんて、ダウンロードできなくって誰か死ぬの?誰が死ぬの?って状態だよ

75 :デフォルトの名無しさん:2010/05/24(月) 10:53:39
Pleiades品質だからな

76 :デフォルトの名無しさん:2010/07/17(土) 22:55:04
Eclipse IDE for C/C++ Developers に preiades1.3.1をインストールして使用しているのですが、
コンパイルでエラーや警告が出た際に、「問題」ビューの中身が文字化けしてしまいます。
どうすれば直りますか?

20 KB
■ このスレッドは過去ログ倉庫に格納されています

★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.04.00 2017/10/04 Walang Kapalit ★
FOX ★ DSO(Dynamic Shared Object)